
 ~ X-Battle a modification for Quake 4 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   Date:  April, 2006
   Url:   http://www.xbattle.de/
   Mail:  info@xbattle.de
   Wiki:  http://wiki.xbattle.de/

   Feel free to visit us at #BattleMod in QuakeNet :)

 ~ Client Commands ReadMe ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 ~ Client Commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   cl_altSimpleitems <0|1> - Default: 0
        Enables the XBM style of simpleitems.
        0 - Q4 Default simpleitems (32x32)
        1 - XBM simpleitems (16x16)
        
        Note: This command only takes effect when g_simpleItems is enabled!

   cl_ammoCheck <0|1> - Default: 1
        Enables the ability to switch to a weapon that doesn't have any ammo.
        0 - Disable ammocheck and allow the selection of an empty weapon
        1 - Enable ammocheck

   cl_autoAction <bitmask> - Default: 0
        Automatically performs actions at certain points in the game.
        Value:
         1 - Statslog
         2 - Screenshot
         4 - Demorecord
         8 - *reserved*
        16 - *reserved*

        So a value of 7 will record a demo and will do a statsdump + screenshot
        at the end of the match.

   cl_blood <0|1> - Default: 1
        Toggle the blood effects
        0 - Off
        1 - On

   cl_editMapLocations <0|1> - Default: 0
        Toggle maplocation editmode
        If enabled it will show the current area and total number of ares
        in the teamoverlay as location to indicate an unnamed area.
        0 - Disabled
        1 - Enabled

   cl_gimmickMod <0|1> - Default: 0
        Find it out by yourself - greets to arQon for the idea :)
        
   cl_grenadeTrail <n> - Default: 1
        Show/hide grenades smoke
        0 - hide grenade smoke trail
        1 - show grenade smoke trail

   cl_enemyColorArms <RRGGBB> - Default: 000000
        Enemy models arms color

   cl_enemyColorIntensity <0 - 1.0> - Default: 1
        Specifies brightskins brightness
        It's a float value between 0 and 1 that u can use to darken your
        brightskins a bit. default is 1.0 = maximum brightness.

   cl_enemyColorLegs <RRGGBB> - Default: 000000
        Enemy models legs color

   cl_enemyColorRail <RRGGBB> - Default: ff0000
        The rail trail color of the opponent team.
        
        Note: this command only takes effect if cl_teamRails is set to 2!

   cl_enemyColorTorso <RRGGBB> - Default: 000000
        Enemy models torso color
        RRGGBB = Hex value that is used to ink the enemy-brightskin.

   cl_followItems <bitmask> - Default: 0
        Enable auto follow mode triggered by specified items, e.g. to follow
        Red Armor (RA) and Mega Health (MH), you have to set 1 + 2 = 3.
        See section 'follow mode' for details.
        1 - Red Armor (RA)
        2 - Mega Health (MH)

   cl_followKiller <0|1> - Default: 0
        Enable auto follow mode triggered by a death of the spectated player.
        See section 'follow mode' for details.
        0 - Disable
        1 - Enable

   cl_followPU <0|1> - Default: 0
        Enable auto follow mode for powerups.
        See section 'follow mode' for details.
        0 - Disable
        1 - Enable

   cl_gibs <0|1> - Default: 1
        Toggle the playergib effects
        0 - Off
        1 - On
        
   cl_hud <value> - Default: quake4
        Selects your hud
        Current available huds are 'quake4' and 'xbm'.

   cl_muzzleFlash <0|1> - Default: 1
        Enables/Disables the drawing of the muzzleflash if ui_showGun is set to 1
        0 - Disable muzzleflash
        1 - Enable muzzleflash

   cl_nailTrail <n> - Default: 1
        Show/hide nailtrail
        0 - hide nail smoke trail
        1 - show nail smoke trail
        
   cl_nomip <bitmask> - Default: 0
        Allows changing graphics to picmip 1 setting, regardless of your current
        image_downsize settings.
        The parameter is a bitmask:
        1 - LightningGun Shaft
        2 - Railgun Trail

   cl_q3Zoom <0|1> - Default: 0
        Enables/Disables the Quake3 zoom behavior. When enabled the drawing of the
        special weapon zoomgui is disabled and the zoomin/zoomout sound is also
        removed.
        0 - Disable
        1 - Enable   

   cl_teamColorArms <RRGGBB> arms color - Default: 000000
        Your models arms color

   cl_teamColorLegs <RRGGBB> legs color - Default: 000000
        Your model legs color

   cl_teamColorRail <RRGGBB> rail color - Default: 0000ff
        Your team rail trail color
        
        Note: this command only takes effect in teamgames and if cl_teamRails is set to 2!
        
   cl_teamColorTorso <RRGGBB> torso color - Default: 000000
        Your model torso color
        This hex-value is used to ink your team-mates arms, legs or torso.
        It's also used as _your_ color when a mate don't forces every part
        using his color with ui_teamForceColors.

   cl_teamColorIntensity <0 - 1.0> - Default: 1
        Specifies brightskins brightness
        It's a float value between 0 and 1 that u can use to darken your
        brightskins a bit. default is 1.0 = maximum brightness.

   cl_teamRails <0|1|2> - Default: 1
        Forces railtrail colors to coincide with the color of the
        team of the firing players. Works only for team-based gametypes.

        0 - Rail trail colors defined by individual player settings.
        1 - Rail trails will match the color of the team of the firing
            player (i.e. a player on the marine team will ALWAYS have
            a green rail trail).
        2 - Use rail color as specified in the cl_teamColorRail for teammates,
            and cl_enemyColorRail for enemies.

   cl_tinyRailTrail <n> - Default: 0
        Dis-/enable the tiny railtrail
        0 - Disable tiny railtrail
        1 - Enable tiny railtrail

   cl_useScreenShotJPEG <0|1> - Default: 1
        Allows use of .jpg for screenshots taken with autoscreenshot or
        autoaction settings.
        0 - Use the standard .tga screenshot format
        1 - Use the .jpg screenshot format

   cl_rocketTrail <n> - Default: 1
        Show/hide rockets smoke
        0 - hide rockets smoke trail
        1 - show rockets smoke trail

   cl_teamForceColors <0-15> - Default: 15
        Set which parts are forced to your teamcolors
        Using this cvar you have the opportunity to see parts of your mates
        brightskin with their color setting.
        It's a bitmask with bit 1 to force legs, bit 2 to force arms and bit 3
        for torso coloring. so legs, arms and torso get a value of 1, 2, 4.
        If you want that the brightskins of your mates have your
        ui_teamColorLegs and *Arms settings but _their_ *Torso value, you
        would set up ui_teamForceColors to 3. ( legs = 1 + arms = 2 )
        for your *Torso and your *Arms to 6 ( arms = 2 + torso = 4 ).
        
        bitmask:
        1 = legs
        2 = arms
        3 = torso
        4 = rail

   cl_viewBobbing <0|1> - Default: 1
        Toggles the bobbing of the player fov, regardless of the pm_bob* settings
        0 - Disable viewing of bobbing
        1 - Enable viewing of bobbing

   cl_weaponBobbing <0|1> - Default: 1
        Toggles bobbing of weapon
        0 - Disables the weapon bobbing and lag when turning or jumping
        1 - Show weapon bobbing

   cl_weaponConfigs <0|1> - Default: 0
        Dis-/enable different settings like fov, sensitivity, crosshairsize etc.
        for each weapon.
        0 - Disables the usage of weaponconfigs.
        1 - Enable the usage of weaponconfigs.
   
        cl_weaponConfig0 <string> - Default: "-1 -1 -1 0 48 0088ff -1"
        cl_weaponConfig1 <string> - Default: "-1 -1 -1 1 24 ffff00 -1"
        cl_weaponConfig2 <string> - Default: "-1 -1 -1 2 24 ff8c00 -1"
        cl_weaponConfig3 <string> - Default: "-1 -1 -1 3 24 0073ff -1"
        cl_weaponConfig4 <string> - Default: "-1 -1 -1 4 24 338f12 -1"
        cl_weaponConfig5 <string> - Default: "-1 -1 -1 5 24 99cccc -1"
        cl_weaponConfig6 <string> - Default: "-1 -1 -1 6 24 ff0000 -1"
        cl_weaponConfig7 <string> - Default: "-1 -1 -1 7 24 00ff00 -1"
        cl_weaponConfig8 <string> - Default: "-1 -1 -1 8 24 ffff99 -1"
        cl_weaponConfig9 <string> - Default: "-1 -1 -1 9 24 c433ff -1"

        arguments order is :
        g_fov, sensitivity, ui_showGun, crosshair index ( see below ),
        g_crosshairSize, g_crosshairColor in rgb hex color, m_accel

        Note: a value of -1 means that the current value shall not be changed.

        crosshair index list:
        =====================
         1		"gfx/guis/crosshairs/crosshair_blaster.tga"
         2		"gfx/guis/crosshairs/crosshair_grenadelauncher.tga"
         3		"gfx/guis/crosshairs/crosshair_lightninggun.tga"
         4		"gfx/guis/crosshairs/crosshair_machinegun.tga"
         5		"gfx/guis/crosshairs/crosshair_nailgun.tga"
         6		"gfx/guis/crosshairs/crosshair_railgun.tga"
         7		"gfx/guis/crosshairs/crosshair_rocketlauncher.tga"
         8		"gfx/guis/crosshairs/crosshair_shotgun.tga"
         9		"gfx/guis/crosshairs/crosshair_q3_1.tga"
        10		"gfx/guis/crosshairs/crosshair_q3_2.tga"
        11		"gfx/guis/crosshairs/crosshair_q3_3.tga"
        12		"gfx/guis/crosshairs/crosshair_q3_4.tga"
        13		"gfx/guis/crosshairs/crosshair_q3_5.tga"
        14		"gfx/guis/crosshairs/crosshair_q3_6.tga"
        15		"gfx/guis/crosshairs/crosshair_q3_7.tga"
        16		"gfx/guis/crosshairs/crosshair_q3_8.tga"
        17		"gfx/guis/crosshairs/crosshair_q3_9.tga"
        18		"gfx/guis/crosshairs/crosshair_q3_10.tga"
        
        
 ~ enhanced or modified q4base commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   g_crosshairSize <n> - Default: 32
        Allows to set the crosshairsize in pixels.
        Valid values are from 2 up to 100.
        i.e. : set g_crosshairSize "64"
        
   g_fov <float> - Default: 90
        Allows to set the field of view in degress.
        Valid values in multiplayer are from 20-150

 ~ HUD commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   hud_ammoBar <n> - Default: 0
        Where to display actual ammo
        0 - none
        1 - lower left
        2 - at crosshair
        3 - both places

   hud_ammoColor <n> - Default: 1
        Draw ammo in color at weaponswitch?
        0 - No
        1 - Yes

   hud_ammoVisible <n> - Default: 2
        How long ammo is visible
        0 - never
        1 - 3 seconds
        2 - allways

   hud_drawTeamOverlay <n> - Default: 1
        Enables the usage of the Teamoverlay for teambased gametypes like
        CTF/Team DM
        0 - Disabled
        1 - upper right corner
        2 - lower right corner
        3 - lower left corner

   hud_drawTimer <n> - Default: 1
        Toggles game-timer appearence
        0 - Disabled
        1 - Timer shows time remained ( q4 default )
        2 - Timer shows time passed
        
        during warmup / sudden death mode the gamecounter will always
        be counting up, because the system doesnt know when the game
        starts (if warmup) / ends (if sudden death).

   hud_lagometerPosition <x y> - Default 10 380
        Allows to freely positioning of the lagometer
        The first arg is the x-position and the next is the y-position.

   hud_showJumps <n> - Default: 0
        Display jump distance in units
        0 - Off
        1 - On

   hud_showSpeed <n> - Default: 0
        Display player speed in units/seconds
        0 - Off
        1 - On

   hud_showTeamHealth <n> - Default: 0
	    Display health/armor info of teammates when aiming on them
	    0 - Disabled
	    1 - Enabled (graphical health/ammo icons)
	    2 - Enabled (no icons)

   hud_teamOverlayDrawSelf <n> - Default: 1
        Draw yourself on the Teamoverlay?
        0 - No
        1 - Yes

   hud_weaponHighlight <n> - Default: 0
        How to highlight active weapon
        0 - colored border
        1 - blue background
        2 - black background

   hud_weaponSwitch <n> - Default: 0
        Where to display the weaponbar
        0 - centered
        1 - left
        2 - right
        3 - centered CPM style

   hud_weaponVisible <n> - Default: 2
        How long weaponbar is visible
        0 - never
        1 - 3 seconds
        2 - allways

 ~ render options  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   r_ambientLightOnly <float> - Default: 0
        Allows to enable only ambientlights on the map.
        ( This will give an fps boost )
        0         - map default lightning
        1.0 - 2.0 - enable only ambientlight, where 1.0 is normal brightness and
                    2.0 is brighter.

   r_skipWorldFX <bitmask> - Default: 0
        Allows to skip different world effects.
         0 - Skip nothing
         1 - skips the drawing of the glow effects around items.
         2 - skips the drawing of the visual effects for item spawnpoints.
         4 - skips the drawing of the visual effects for jumppads.
         8 - skips the drawing of the visual effects for teleporter.
        16 - skips the drawing of the visual effects for fog, sparks
             and some more.
        
        To remove an effect just add his value.
        i.e : A value of 31 removes all visual effects!
        a value of 6 only removes the item spawnpoints and jumppad effects.

 ~ sound options  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   s_altEnemySounds <n> - Default: 0
        Enables / disables optional walk and jump sounds for opponents.
        0 - No alternate sounds for enemies.
        1 - Style 1
        2 - Style 2

   s_altHitsounds <0|1> - Default: 0
        Alternate hitsounds.
        0 - q4 hitsounds
        1 - q3 like hitsounds
        
   s_ambient <0|1> - Default: 1
        Control ambient sounds.
        Notice: after re-enabling them on-the-fly, it will take a few seconds
        until you can hear them gain.
        0 - turn off ambient sounds
        1 - ambient sounds enabled

 ~ Referee Commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   To become a referee you need to type : ref or referee followed by the
   referee-password for the server.
   
   i.e. : ref password

	ref_allready			Set all players to ready status.
	ref_allunready			Set all players to unready status.
	ref_readystrogg			Set all strogg players to ready status.
	ref_readymarine			Set all marine players to ready status.
	ref_unreadystrogg		Set all strogg players to unready status.
	ref_unreadymarine		Set all marine players to unready status.
	ref_abort				Abort game.
	ref_restart				Restart a map.
	ref_assignstrogg		Puts the specified player into team Strogg.
	ref_assignmarine		Puts the specified player into team Marine.
	ref_remove				Removes the specified player from team.
	ref_kick				Kicks player from server.
	ref_ban					Kick and ban player from server.
	ref_help				Displays referee commands.
	ref_map					Loads selected map.
	ref_promote_marinecoach		Promotes a player to coach team marine.
	ref_promote_stroggcoach		Promotes a player to coach team strogg.
	ref_demote_coach		Removes a players coach status.
	ref_allcaptain			Gives captain status to all players.
	ref_promote_marinecaptain	Promotes a player to captain of team marine.
	ref_promote_stroggcaptain	Promotes a player to captain of team strogg.
	ref_demote				Removes a players captain status.
	ref_lock				Locks all teams.
	ref_unlock				Unlocks both teams.
	ref_lockstrogg			Locks team Strogg.
	ref_lockmarine			Locks team Marine.
	ref_unlockstrogg		Unlocks team Strogg.
	ref_unlockmarine		Unlocks team Marine.
	ref_mutespecs			Toggles spectator mute.
	ref_speclock			Enables spectator lock for both teams.
	ref_speclockstrogg		Enables spectator lock for team Strogg.
	ref_speclockmarine		Enables specator lock for team Marine.
	ref_specunclock			Disables spectator lock for both teams.
	ref_specunlockstrogg	Disables spectator lock for team Strogg.
	ref_specunlockmarine	Disables spectator lock for team Marine.

 ~ (client)callVote options  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    allcaptain <0, 1>
    	see team_allCaptain
    allowshaftinwater <0, 1>
        see g_waterShot
        shortcut: asw
    altminrespawnlimit <0, 1>
        see g_altMinRespawnLimit
        shortcut: mrl
    autobalance <0, 1>
        see si_autoBalance
        shortcut: ab
    capturelimit <value>
        see si_captureLimit
        shortcut: cl
    fallingdamage <0, 1>
    	see match_fallingDamage
    fastswitch <0, 1>
        see g_fastWeaponSwitch
        shortcut: fs
    fraglimit <value>
        see si_fragLimit
        shortcut: fl
    freemodels <0, 1>
        see si_freemodels
        shortcut: fm
    gametype <gametype>
        see si_gameType
        shortcut: gt
    instagib <0, 1>
        see g_instaGib
        shortcut: ig
    kick <playername>
    map <mapname>
    maxrespawntime <2-60>
        see g_maxRespawnTime
        shortcut: mrt
    minplayers <2-16>
        see si_minPlayers
        shortcut: mpl
    nextmap
        shortcut: nxm
    overtime <value>
        see match_overtime
        shortcut: ot
    pubehavior <0, 1>
    	see g_PUbehavior
    	shortcut: pub
    ref <clientid>
    	force a client to be referee
    unref <clientid>
    	remove referee status from a client
    restart
        shortcut: res
    roundlimit <value>
        see si_roundLimit
        shortcut: rl
    selfdamage <0, 1>
    	see match_selfDamage
	setconfig <config> [gametype]
        where <name> is one of : VoteAble, Server, Quake4, XBattle, ClanBase
                                 or Kuh3Liga
        the argument gametype is optional and will automaticly change to the
        specified gametype.
        shortcut: sc
    smoothboxjumps <0-16>
        see pm_smoothboxjumps
        shortcut: sbj
    spawntype <0-3>
        see g_spawnType
        shortcut: st
    shuffleteams <0, 1>
        see si_shuffleTeams
        shortcut: shfl
    teamdamage <0, 1, 2>
        see si_teamdamage
        shortcut: td
    timelimit <value>
        see si_timeLimit
        shortcut: tl
    tourneylimit <value>
        see si_tourneyLimit
        shortcut: trnl
    warmup <0, 1>
    	see si_warmup

 ~ sayTeam extensions ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   Note: chattokens are only available for active players in teamgames!

   #A - armor        - your current armor value
   #D - damaged by   - the last player which attacked you.
   #h - health       - your health ( uncolored )
   #H - health       - your health colored by value
   #I - nearest item - the nearest item
   #P - picked up    - the last item you picked up.
   #U - powerups     - lists all powerups the player is currently wearing
   #w - weapon       - player weapon as shortext. like RG for RailGun etc.
   #W - weapon       - player weapon as icon.
   #L - location     - your current location.

 ~ Direct Commands~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   coach
        Accept a coach invitation

   coachDecline
        Declines a coach invitation.

   coachKick
        Removes a previously invited coach from a team.

   coachInvite
        Invites a player to coach the team.

   players / listPlayers
        Lists all players with id, team and name

   teamlock
        Allows to lock your team.

   teamunlock
        Unlocks your team after locking it.
        
   time
        Toggles the match status.
        no timeout <-> timeout
   
   timeout
        Will pause the game

   timein
        Will unpause the game
     
 ~ Captain commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
   Note, these commands are only activated when team_noControls is disabled on
   server! For teamready and readyteam commands, team_noTeamReady has to be
   disabled on server, too.
   
   captains
        Shows the name of current team captains.
        
   invite (alias: pickplayer)
        Invites a player to join the captain's team.
        
   removeplayer (alias: kickplayer)
        Removes a player from the captain's team.
        
   resign
        Resigns team captainship. You can optionally assign captainship to
        another teammate by supplying the teammate's ID.
        
   teamready (alias: readyteam)
        Readies all members on the team to start a match.
        
   accept
   		Accept team invitation.
   		
   decline
   		Decline team invitation.
        
 ~ follow mode ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
   follow <argument>|<id>
        Switches to the player that matches the argument or client id.
        Valid arguments are:
        quad        - switches to the player wearing Quad Damage
        haste       - switches to the player wearing Haste
        regen       - switches to the player wearing Regeneration
        invis       - switches to the player wearing Invisibility
        marineflag  - switches to the player carrying Marine Flag
        stroggflag  - switches to the player carrying Strogg Flag
        oneflag     - switches to the player carrying Flag in One-Flag CTF
        mega        - switches to the last player that picked up Mega Health
        ra          - switches to the last player that picked up Red Armor

   Additionally to immideate switching XBM provides an automatic follow mode
   on several trigger events, which are controlable through cl_followPU,
   cl_followItem and cl_followKiller.
   To bring some organisation to the trigger event chaos, we implemented a
   priority order, which looks like this:
        1. Flags ( Marine flag, Strogg flag, White flag )
        2. Quad Damage
        3. Haste
        4. Regeneration
        5. Invisibility
        6. Red Armor (RA)
        7. Mega Health (MH)
        8. Killer
   Sure, this priority lists depends in the auto follow triggers enabled, e.g.
   cl_followPU 0 means 1 to 5 are payed attention for.

 ~ server statistics extensions ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
   cl_statsUserName <string>
        Username to identify yourself in server statistics.
        
   cl_statsPassword <string>
        Password to use in server statistics.
